﻿using ICSharpCode.SharpZipLib.Zip;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ZipEntrySample
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void button1_Click(object sender, EventArgs e)
    {
      string[] filename = Directory.GetFiles(@"C:\Users\Administrator\Desktop\test");

      ZipOutputStream s = new ZipOutputStream(System.IO.File.Create(@"C:\Users\Administrator\Desktop\test.zip"));
      s.SetLevel(9);

      byte[] buffer = new byte[4096];

      foreach (string file2 in filename)
      {
        ZipEntry entry = new ZipEntry(Path.GetFileName(file2));

        entry.IsUnicodeText = true;
        s.PutNextEntry(entry);

        FileStream fs = System.IO.File.OpenRead(file2);
        int srcbytes;
        srcbytes = fs.Read(buffer, 0, buffer.Length);
        s.Write(buffer, 0, srcbytes);
      }

      s.Finish();
      s.Close();
    }
  }
}
